package com.dcsoft.common.core.enums.exception;

public enum CommonExceptionEnum {
    RULE_ERROR(1000, "您所所在得部门所属规则未绑定设备"),
    REQUEST_ERROR(1001, "请求异常"),
    PEOPLE_ERROR(1002, "您的信息未录入"),
    QR_CODE_ERROR(1003, "二维码过期"),
    DEVICE_INITIALIZE_ERROR(1004, "设备序列号不能为空"),
    ;

    private Integer errCode;
    private String errMsg;

    CommonExceptionEnum(Integer errCode, String errMsg) {
        this.errCode = errCode;
        this.errMsg = errMsg;
    }


    public Integer getCode() {
        return errCode;
    }

    public String getMessage() {
        return errMsg;
    }
}
